package com.huigou.topsun.sap.exceptionReport.application;

import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportItem;
import com.huigou.topsun.sap.exceptionReport.domain.query.ExceptionReportQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/20/19:35
 * @Description:
 */
public interface ExceptionReportItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/exceptionReport/exceptionReport.xml";
    List<ExceptionReportItem> findByExceptionReportId(String exceptionReportId);

    void saveExceptionReportItemList(String exceptionReportId,String reasonType,List<ExceptionReportItem> exceptionReportItems);

    Map<String,Object> slicedExceptionReportItemList(ExceptionReportQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    void saveExceptionReportItem(ExceptionReportItem exceptionReportItem);
}
